Subject: RE: [Syslog] Draft-ietf-syslog-transport-tls-01.txt

From: "Rainer Gerhards" <[email-masked]>
Date: Thu, 8 Jun 2006 17:53:33 +0200

FWIW: I agree with Chris proposal and intended course of action.

Rainer

> -----Original Message-----
> From: Chris Lonvick [mailto:[email-masked]] 
> Sent: Thursday, June 08, 2006 5:27 PM
> To: [email-masked]; [email-masked]
> Subject: RE: [Syslog] Draft-ietf-syslog-transport-tls-01.txt
> 
> Hi,
> 
> On Thu, 8 Jun 2006, Balazs Scheidler wrote:
> > On Thu, 2006-06-08 at 09:38 +0200, Rainer Gerhards wrote:
> 
> <Rainer>
> >> I think using a patented technology inside a standard will 
> definitely
> >> hinder the acceptance of that standard. Especially if it 
> is something as
> >> trivial as syslog over tls. So my vote is to put this work 
> on hold until
> >> further clarification can be obtained. If that means we'll have no
> >> syslog RFC, so be it. That would probably be the better choice...
> >
> 
> <Bazsi>
> > My feelings are about the same. I don't really know the US 
> patent system
> > specifics, how long does it take to have something concrete 
> about the
> > patent?
> 
> 
> [Minor note: I don't think that we can assume that it is being filed 
> within the USPTO.]
> 
> It appears to me (and I'm willing to take more input) that 
> the general 
> consensus is that an IPR-encumbered syslog/tls document would 
> not gain 
> acceptance within the development community.
> 
> I would like to do 2 things at this time:
> 
> 1) I will ask Huawei to update their IPR claim to cover 
> draft-ietf-syslog-transport-tls-02.txt (the current disclosure only 
> covers -01.txt) and, if possible, to give us a bit more of a 
> clue as to 
> what the IPR covers.  Specifically from RFC 3979, Section 6.4.1:
>     In addition, if the IETF Document includes multiple
>     parts and it is not reasonably apparent which part of such IETF
>     Document is alleged to be Covered by the IPR in question, it is
>     helpful if the discloser identifies the sections of the 
> IETF Document
>     that are alleged to be so Covered.
> I believe that Hauwei does not need to fully disclose their IPR claim 
> but a clue would be helpful.  I think that the section above 
> was written 
> that way so that it could be possible to remove or modify a 
> section so 
> that the document would no longer be covered by a claim.  I 
> don't know 
> that this is possible in this case but I'd like to explore 
> that option.
> 
> 2)  I will ask our Advisor to give us some guidance on this.  (Sam is 
> cc'd.)  We agreed to a tight timeline for our deliverables without 
> considering that we would get hung up on this.  A 
> recommendation has been 
> made on the WG list that we proceed with syslog-transport-udp and 
> syslog-protocol while we see what becomes of the IPR claim of 
> syslog-transport-tls.  We CAN submit syslog-transport-tls in a timely 
> fashion, as per our Charter, but I fear that it would not be 
> accepted or 
> deployed by the community until the IPR issue is resolved.  
> Moving forward 
> with the other two IDs would keep our momentum going and we 
> could address 
> the issue of the IPR as soon as we can.
> 
> Thanks,
> Chris
> 
> _______________________________________________
> Syslog mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/syslog
> 

_______________________________________________
Syslog mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/syslog